package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass_question_error")
@Data
public class ERclassQuestionError extends BaseBean {
    @Id
    //考试报告班级单科高频错题表
    private Integer rceqid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //题号
    private String qn;

    //题型名称
    private String qtypename;

    //知识点
    private String pointname;

    //班级得分率
    private Double classrate;

    //年级得分率
    private Double graderate;

    //高频错误项
    private String errormsg;
}